## $Id: pdf.py 10566 2013-08-30 05:24:05Z henrik $
##
## Copyright (C) 2012 Uli Fouquet & Henrik Bettermann
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.
## 
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
## 
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
##
"""
Reusable components for pdf generation.
"""

import os
from waeup.kofa.browser.pdf import PDFCreator, LandscapePDFCreator

class CustomPDFCreator(PDFCreator):
    """A utility to help with generating PDF docs.
    """

    header_logo_path = os.path.join(
        os.path.dirname(__file__), 'static', 'pdf_logo.jpg')
    watermark_path = os.path.join(
        os.path.dirname(__file__), 'static', 'pdf_watermark.jpg')

    watermark_pos = [70, 150]
    logo_pos = [500, 708, 60]

class CustomLandscapePDFCreator(LandscapePDFCreator):
    """A utility to help with generating PDF docs in
    landscape format.
    """

    header_logo_path = os.path.join(
        os.path.dirname(__file__), 'static', 'pdf_logo.jpg')
    watermark_path = os.path.join(
        os.path.dirname(__file__), 'static', 'pdf_watermark.jpg')

    watermark_pos = [200, 55]
    logo_pos = [750, 465, 60]

